Bug 399431 - pata_pdc202xx_old dma fails
pata_pdc202xx_old dma fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 08:35 EST by David Woodhouse
Modified: 2009-12-18 01:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-11-26 08:35:21 EST
Starts like this and falls back all the way to PIO4...

ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2
ata2.00: BMDMA stat 0x64
ata2.00: cmd ca/00:08:01:fb:05/00:00:00:00:00/e0 tag 0 cdb 0x0 data 4096 out
         res 51/84:00:01:fb:05/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
ata1.00: BMDMA stat 0x64
ata1.00: cmd ca/00:08:01:fb:05/00:00:00:00:00/e0 tag 0 cdb 0x0 data 4096 out
         res 51/84:00:01:fb:05/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
ata2: soft resetting port
ata1: soft resetting port
ata1.00: configured for UDMA/100
ata1: EH complete
ata2.00: configured for UDMA/100
ata2: EH complete

Full log at http://david.woodhou.se/f8-dma-fails.txt
Comment 1 David Woodhouse 2007-11-26 08:56:50 EST
This was working OK in 2.6.20-1.2933.fc6
Comment 2 Alan Cox 2007-12-03 12:29:34 EST
Do you know which was the last kernel that worked ?
Also do you have 40 or 80 wire cables ?
Comment 3 David Woodhouse 2007-12-03 15:51:23 EST
I'm afraid this machine jumped straight from FC6 with the drivers/ide code, to
F8 with libata. Since it's remote and it's one of my primary mailservers,
experimenting with kernels is non-trivial. It has 80-wire cables.
Comment 4 Alan Cox 2007-12-03 16:05:22 EST
FC6 is old IDE so that explains why one works not the other. The general DMA
problem is already in bugzilla and pending me getting a suitable card to try and
work out WTF is going on.
Comment 5 David Woodhouse 2007-12-03 17:05:51 EST
The only reason I have the PDC202xx card in there is because the HPT366 on the
motherboard (Abit BP6) used to lock up when I put more than one drive on it. I
don't actually remember the circumstances which led to having both drivers on
the PDC202xx and none on the HPT366.

If HPT366 is expected to work reliably these days, I could perhaps try moving
drives onto that, and let you have the PDC card?
Comment 6 David Woodhouse 2008-01-07 06:33:24 EST
Still have the same problem after applying (to 2.6.23.12-101.fc8) the patch at
http://marc.info/?l=linux-ide&m=119940548109516&w=2
Comment 7 Alan Cox 2008-01-08 11:38:56 EST
Would appreciate borrowing the card in that case as my 20263 is rock solid now


Alan
Comment 8 Yaakov Nemoy 2008-03-12 11:48:45 EDT
What's the status of this bug?  Can we mark it as assigned or closed?
Comment 9 David Woodhouse 2008-03-12 12:17:16 EDT
I'm working on retiring the box in question, at which point I'll probably just
send it to Alan.
Comment 10 Bug Zapper 2008-11-26 03:41:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Alan Cox 2008-12-10 12:01:54 EST
bumping to F10 - not tested F10 but have matching kernel.org bugzilla for current kernel so I believe this bug is still "live"
Comment 13 Bug Zapper 2009-11-18 07:23:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:01:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.